2.1: (as of 2.1 alpha)
======
- Features:
  * Refinements to the user interface of the Muon Update Manager.
  * Support updating packages from other resource backends within the Muon Update Manager.
  * Muon Discover's origins view has been ported to use the new QApt::SourcesList API.
  * Miscellaenous UI improvements for Muon Discover
  * Added a new icon for Muon Discover.
- Optimizations:
  * Speed up search in Muon Discover and Muon Software Center substantially.

2.0.1:
======
- Bugfixes:
  * Fixed too long resource descriptions not wrapping in Muon Discover.
  * Fixed a few issues with Muon Discover's resource grid view.
  * Fix the alignment on the elements in Muon Discover's CategoryPage.
    Makes the flow look aligned with the header and footer.
  * Fix a crash that sometimes occurs when exiting the sources editor (BKO: #317858)
  * Fix a crash that occurs while reporting fatal initialization errors. (BKO: #319978)
  * Use case-insensitive searches for the KNewStuff and Bodega backends.
  * In Muon Discover, Fix some problems in the grid resource delegate. The icon will be 
    properly centered when no preview. No more weird stretching.
  * Fixed an issue in the Muon Update Manager where the "Install Updates" button would not
    properly be enabled after a check for updates.
  * Do not crash Muon Software Center if we try to navigate to an application page before
    the ResourcesModel has been created. (BKO: #317917)

2.0
======
- Features:
  * Added a KNewStuff backend, adding categories for Plasma Widgets and Plasma Comics.
  * Added a Bodega resource backend to Muon Discover and the Muon Software Center.
  * The QApt backend is now optional for Muon Discover, and other backends can be used
    on platforms other than Debian-based linux distributions.
  * Miscellaenous improvements/polish for Muon Discover
  * Port QApt backend plugin to LibQApt2.
  * User interface consistency improvements for Muon Discover, integrating better with KDE.
- Bugfixes:
  * Prevent changelog fetch jobs from being processed during a cache reload, by manually
    controlling the lifetime of the KJobs and deleting them before we start reloading.
    (BKO: #301161)
  * Fix a bug in the transaction advancement system. (Fixed by switching to QApt2)
    (BKO: #299131)
  * Reparent Application objects created in a separate thread by QtConcurrent, fixing
    a crash when reloading the ApplicationBackend. (BKO: #306536)
  * Fixed a bug where applications that had been removed from the archive, but could
    still be referenced locally by APT despite not being installed would show up as
    Applications if their data had not been removed from app-install-data. (BKO: #309283)
  * Fix the display of KNS services' description. Remove \r characters that would break
    the layout.
- Optimizations:
  * Improve startup time by 2% by using a fast integer-to-power approximation when
    calculating the normal distribution for an application rating. [MSC]

1.4.0
======
- Features:
  * Introducing Muon Discover, a new type of software center focused around finding
    applications. Uses QML and will be the eventual successor of the Muon Software Center.
  * The Muon Software Center can now reload the APT database without kicking the user back
    to the home page. (BKO: #278721)
  * Use the KDE proxy, if defined (BKO: #284167) (Common)
  * Add the ability to filter by package architecture (BKO: #290437) (MPM)
  * Add the option to filter out (uninstalled) foreign-architecture packages that duplicate
    their native-arch equivalents, and turn it on by default. (MPM)
  * Add support to the Muon Software Center for fetching additional pages of reviews.
  * Add an "In Progress" view to the Muon Software Center, to show in-progress and pending
    transactions.
  * Display the archive component of selected packages. (LP: #883996) (MPM)
  * Added support for Debian's "education" and "introspection" package categories in the
    Muon Package Manager
  * Added a "busy indication" throbber to the central view of the Muon Software Center to
    denote initialization progress. (BKO: #295045)
  * Keep a local cache of the ratings file for use without internet connections. (libmuon)
  * Add sorting capabilities to the Muon Sofware Center. Software can be sorted by name,
    rating, buzz, usage. (Also by relevancy in the case of searches)
  * Add an option to the Muon Software Center to display technical items. (BKO: #297700)
  * Show the package name for technical items in the Muon Update Manager and Muon Software
    Center. (BKO: #294172) (LP: #976071)
  * The Muon Software Center and Muon Discover now can automatically utilize the
    check-language-support utility shipped with Ubuntu's language-selector to automatically
    install localization and internationalization files for the package being installed.
  * The color-coded columns within the Muon Package Manager now take their colors from the
    KDE color scheme.
  * A version column was added to the updates view in the Muon Update Manager (BKO: #288902)
- Bugfixes:
  * If a user manually clicks the package name column header, sort alphabetically even if we
    are showing relevancy-based quicksearch results. (BKO: #284181)
- Optimizations:
  * Do not create package/application objects if we know before hand that there aren't any
    updates to display. (MUM)
  * At startup, the Muon Notifier will wait 2 minutes before showing update notifications,
    helping to make the login process less busy.
  * Decreased startup time of the Muon Software Center, Muon Update Manager, and Muon Discover
    by 10% by performing a more efficient check for special extras.ubuntu.com apps.

1.3.2:
======
- Bugfixes:
  * Hide the update notification icon when there are no upgrades available.
  * Do not respond to errors at all during a cache reload. If we do get one during reload,
    it's not from us and we may crash trying to handle it. (BKO: #299236)

1.3.1:
======
- Bugfixes:
  * Remove failed review fetch jobs from our local cache to prevent a crash when
    we try to clean them up later, due to them being deleted at that point. (MSC)
  * Remove failed changelog fetch jobs from our local cache to prevent a crash when
    we try to clean them up later, due to them being deleted at that point. (MPM, MUM)
  * Fixed the application menu path display not showing in the Muon Software Center.
  * Fixed a crash that occurs when the jobs cache has been cleared before a review
    fetch completes (MSC) (BKO: #296647)
  * Properly reset the UI when a LockError cancels a pending commit. (MPM) (BKO: #292775)
  * Stop pending changelog fetches before the cache reloads (MUM)

1.3.0:
======
- Features:
  * Rewrote the Muon Update Manger with a more user-friendly GUI. (MUM)
  * Replaced the screenshot dialog with an overlay on the application detail view.
    The overlay has a blurred, transparent background and fades in and out. (MSC)
  * Added the package name to the Version: label in the Muon Software Center's
    Application details view.(MSC)
  * Add a confirmation dialog for when marking a package requires changes to another
    package. Whether or not this dialog shows can be configured in Muon's settings.
    (MPM, MUM)
  * Use kde-runtime's nice, monochrome update notifier icons as to better integrate with
    the Plasma desktop. (Muon Notifier)
  * The Muon Update Manager can now be launched from the "System" category in Kickoff or
    the classic KMenu.
  * Add a confirmation/warning dialog when removing an application also removes other
    packages in the Muon Software Center. (MSC)
  * Added keywords to allow muon to be found easier via krunner. (MPM)
  * Manual distribution upgrade from the Muon Update Manager. (MUM)
  * When updates are not marked due to the updates requiring the installation or removal
    of other packages, inform the user and ask them if they wish to mark these updates.
    (BKO: #287176)
- Bugfixes:
  * Fixed a crash when attempting to display a review with an invalid package pointer.
    (MSC) (BKO: #293058)
  * Fixed a rare crash when attempting to update download data for a removed row in
    the Muon Package Manager's download view. (MPM) (BKO: #287490)
  * Fix various crashes that occur when reloading the APT backend results in an
    initialization error. (Common) (BKO: #287988)
  * Fixed the Muon Software Center hanging on failed transactions, and not being able
    to process new ones. (MSC) (BKO: #284600)
  * Fixed a crash in the Muon Software Center that occurred when the search index was
    reloaded in the midst of a cache refresh. (MSC)
  * Fixed a rare crash when navigating breadcrumb items in the Muon Software Center
    (MSC) (BKO: #284611)
  * Fixed a crash that occurs when trying to mark an uninstalled package for
    reinstallation. (MPM) (BKO: #294785)
  * Launchpad links are no longer given in the "no changelog ready yet" error when
    a package doesn't originate from Ubuntu. (MPM)
  * Fixed the easter egg not playing its sound. (Common)
  * Fixed compilation when compiling with -Werror=return-type (MPM)
  * Made the FetchError string less redundant with FetchFailedWarning's (Common)
  * Fixed the Muon Notifier notifying users of new development releases.
  * Fixed a bug where the Muon Notifier would never show its tray icon when a new
    release was detected.
  * Filter out duplicate addons that can accumulate when an addon both recommends
    and enhances an application. (MSC)
- Optimizations:
  * Use QApt::Backend::markPackages() for marking multiple packages. This results
    in a 300% speed increase for marking multiple packages.(MPM, MUM)
  * Normalize all signal/slot declarations for a (micro)optimization

1.2.3:
======
-Bugfixes:
  * Don't listen to reviewFetched signals during a cache reload. We'll crash if we
    try to handle them. (BKO: #283728) (MSC)
  * Fix several crashes related to hitting the "Revert All Changes" button
    (BKO: #281623) (MPM, MUM)
  * Fix a bug where newly-added origins would not appear in the Muon Package Manager
    until the next time it was started. (MPM)
  * Add a watch on /var/lib/apt/lists to fix the Muon Notifier not notifying of
    upgrades in certain situations. (BKO: #285435)
  * Fixed setting modifications for the Muon Update Notifier not being applied
    until a reboot or re-login.
  * Discard pending changelog fetch jobs before cache reloads. This prevents changelog
    jobs finishing when the QApt::Backend is in a state where package pointers are
    invalid. (BKO: #270920)
  * Fixed an issue where marking breakages caused by the breakage of a dependency were
    not being caught, only to fail silently when committed.
  * Fixed a serious crash on startup with the Muon Software Center when less than
    three software origins were present in the sidebar. (MSC) (BKO: #291262)

1.2.2:
======
- Bugfixes:
  * Fix a bug where history entries would show up on the wrong date.
    Muon was using the day that the entry occurred on to categorize all the entries,
    but this is non-unique past one month, causing entries from the 29th of a month
    to show up on the 29th of every month. (BKO: #282504)
  * Fixed a small memory leak with the update notifier.

1.2.1:
======
- Bugfixes:
  * Fixed a bug with the Muon Software Center where reviews would not load when
    visiting an application page you had already been to since you started MSC.
  * Fixed a bug in the Muon Package and Update Managers where the busy cursor
    would not go away if a mass package marking failed.
  * Fixed a crash in the Muon Update Manager when hitting the "Revert Changes"
    button in the toolbar.
  * Added the kdelibs5-data package to the Muon Software Center's blacklist.
    It has desktop files that show up as Apps, and we don't want people breaking
    their system by uninstalling them. (And thereby uninstalling kdelibs)
  * Only enable the purge action in MPM/MUM for uninstalled packages when the
    uninstalled packages also have residual configurtaion. (LP: #836967)
  * Set the xapain progress message visible even before it has gone from 0% to 1%
  * Fix a bug where installing a package from within the "More Details" view of
    the Muon Software Center would not do anything. (LP: #841323)
  * Use LibQApt's new multi-arch support to disambiguate between native and
    foreign-arch packages, fixing an apparent duplication of packages. (BKO: #276389,
    LP: #837389)

1.2.0:
======
- Features:
  * Added a checkmark emblem to installed applications in the Muon Software Center.
  * Added a history dialog to the Muon Package Manager using the HistoryView from
    libmuon. Accessible from the "View" menu or by the Ctrl + H shortcut.
  * Use more appropriate header strings in the Muon Update Manager.
  * Added a Zeitgeist-based app usage counter to the Muon Software Center.
  * Make changes requiring authorization turn the MPM config dialog's apply
    button's icon into the password icon, like System Settings modules that require
    admin access have on their apply button.
  * Added an option to the configuration dialog to make APT treat a package’s
    "Suggests" as dependencies. For those who don’t care about disk space.
  * Enabled selection of multiple packages at a time in the Muon Package Manager,
    as well as the option to mark multiple packages at once.
  * A package in the package view can now be de-selected, hiding the details widget,
    by ctrl-clicking on the package.
  * Add an option to the Muon Package Manager for controlling whether or not to allow
    the installation of untrusted packages altogether.
  * Add a "Locked" filter to the status filters in the Muon Package Manager.
  * Add support for downloading packages from a list, and adding these packages to the
    cache. (For internet-less computers)
  * Show non-application packages in the Muon Software Center's PPA views.
  * Add support to the Muon Software Center for displaying applications from
    extras.ubuntu.com, which extend the package control records to provide app
    information in leiu of .desktop files in app-install-data.
  * Use the Ubuntu ratings and reviews API for application ratings rather than relying
    on PopCon.
  * Add support to the Muon Software Center for displaying reviews from the Ubuntu
    Reviews and Ratings API using QJson.
  * Made the "Addons" and "Reviews" widgets hideable in the Muon Software Center.
  * Move the support string in to the package description. This wastes less space in
    general, and makes things more elegant for distributions that are not driven by
    Canonical in the first place. (libmuon)
  * Several layout improvements to the main details tab that reduces the amount of
    chrome, making more space for content. (libmuon)
  * Tighten up the spacing between the short description/button box and the long
    description text area. (libmuon)
  * Make the easter egg common to all frontends using libmuon (libmuon)
  * Use a KMessageWidget for application launch notification rather than a dialog.
    (The dialog is still used when multiple apps are installed at once) (MSC)
  * Status bar layout improvements that allow us to lose the frame around the labels
    in the statusbar. (libmuon)
  * Added some Debian branding love (Debian icon/main origin at the top of the list),
    like what we currently do for Kubuntu.

- Optimizations:
  * Speed up application menu path determination by using the KService entry for
    an application that is already cached in the KDE Sycoca database rather than creating
    a new KService object. (MSC)
  * Use a global MuonStrings instance throughout the Muon Suite so that each class that
    uses MuonStrings doesn't have to keep its own copy of the identical data. (All)
  * Take the '*''s off of our wildcard filter and use QString::contains rather than a
    QRegExp. This results in around a 15% speedup for filtering by a package name
    wildcard, as used in the fonts category. (MSC)
  * Use QApt::Package::latin1Section() rather than section() when doing a
    PkgSectionFilter-type filter. This speeds up filtering by package section ~30% in the
    Muon Software Center. (MSC)
  * Cache the result of Application::package() during ApplicationBackend initialization
    in the Muon Software Center. (MSC)

- Bugfixes:
  * Fixed certain items in the Muon Software Center from having a wrong name string.
    (Taking the name field of a second group in the .desktop file) (MSC)
  * Use a sane size hint for default window sizes for all Muon frontends
  * Do not show download speed or ETA if we have no good info to show. (MPM)
  * Remove empty categories, and fix the Profiling subcategory showing every
    package available (MSC)
  * Category title text in the Muon Software Center is now translatable.
  * Fix a crash that occurs when the QApt Worker sends a CacheUpdateFinished
    signal while Muon is still starting up. (Bug 276132) (Common)
  * Use QQueue for our installation/removal queue. It is much more robust than QList
    with homebrewn queue behavior using iterators, and solves several crashes.
    (Bug 274225) (MSC)
  * Give the HistoryView a sane default size.

1.1.3:
======
- Bugfixes:
  * Fixed the Muon Software Center displaying Firefox's name as
    "Open a New Window", which is the name field for the Unity launcher group in the
    .desktop file. This was fixed by only taking the name from the first .desktop
    group encountered.
  * Set the event as active while a KSNI is around. This fixes the Muon Notifier
    displaying multiple status icons when events are triggered. (LP: #769482)
  * Merge CategoryDrawer from SystemSettings trunk, bringing in some RTL fixes.
  * Do not search if we are in the middle of a cache reload, like when the
    "Unmark All Changes" button is pressed. This prevents a crash that occurs when
    the proxy model's source model is null during reload. (BKO: #274182)

1.1.2:
======
- Bugfixes:
  * Fixed a serious bug uncovered by a regression in the KDE Solid hardware
    abstraction library in KDE 4.6.2 that prevents actions requiring
    network connectivity from being possible.

1.1.1:
=====
- Bugfixes:
  * Don't show the app launcher dialog for transactions that are only changing
    the addons of an already-installed application.
  * Fix a bug where the Muon Update Notifier would cause kded to accumulate
    zombie processes (Bug 263790)
  * Fix the text of the download view being unreadable with dark themes.
  * Fix a bug where the busy cursor would not go away when a commit was canceled
  * Disable the package view while waiting for a commit to start (Bug 264927)
  * Don't leak our m_screenshotFile when an AppDetailsWidget gets destroyed in
    the Muon Software Center.
  * Fix double exit confirmation for the Muon Package Manager and Update Managers
    (Bug 265283)
  * Don't crash if we get progress updates for transactions that have since
    been removed from the Muon Software Center's transaction queue. (Bug 266173)
  * Fix a bug where an application item in the Muon Software Center could not
    be extended after changing filtering.
- Features:
  * Show the purge button when a package is set to be removed, in case the user
    wants to purge dependencies that had been marked for removal. (Bug 265283)

1.1:
====

- Features:
  * Introducing the Muon Software Center, an easy to use Application-centric
    package manager for the common man.
  * Introducing the "muon-updater" program, an update-centric GUI
  * Added an update notifier
  * The download view has been revamped, now supporting per-item progress,
    as well as displaying the size for each item
  * Add a new "Residual Config" filter to the filters pane. This filter shows packages
    that still have purgeable config files laying around.
  * Add a new "Installed (auto-removable)" filter to the filters pane. This filter shows
    packages that were automatically installed that no longer have any installed
    dependents. (Basically, what apt-get autoremove would show)
  * The Technical Details tab now displays the package's origin
  * Added a progress bar to Muon's statusbar to show Xapian indexing update progress.
  * Improved startup time
  * The contents of the "Installed Files" package tab are now sorted alphabetically
    (BKO: #253751)
  * Implemented sorting the package list by status and by requested changes
  * Canonical-supported packages now have a K/Ubuntu emblem on the icon in the package
    view
  * A "Save Installed Packages List" feature has been added, allowing you to make a list
    of all installed packages that can be read by Muon or Synaptic on another computer.
  * Added an option to configure whether or not a package's recommended packages are
    considered as dependencies.
  * Added an option to configure how often APT autocleans cached package files.
  * Enable/disable the "update" and "apply" buttons based on network availability
  * Automatically reload searches after a rebuild of the search index is triggered

- Optimizations:
  * Avoid a l10n reverse-lookup for package status by using the UserRoles available to 
    us in QStandardItem to store the QApt::Package::State, and emitting this state when 
    passing it to the PackageView
  * Use the new QApt::Backend::areChangesMarked() function for determining whether or not
    actions should be enabled. This avoids constructing a QApt::PackageList as well as
    67,000 calls to QApt::Package::state() in the Backend::markedPackages() function

- Bugfixes:
  * Spacing improvements in the details tabs.
  * Disable the reinstall button for non-reinstallable items, such as non-downloadable
    and/or locally-installed packages. (BKO: #254449)
  * Fix a bug with the new DownloadModel where items from previous downloads would 
    remain if the user cancelled the download
  * Don’t enable the Muon Package Manager’s search widget before the package list is
    populated, so that it is impossible to try to search before the backend has initialized. (And crash)
    In theory this sort of thing could only happen under valgrind-levels of load, but for the
    sake of being proper this is should be fixed.
  * Move libmuon to the top of the link list, so that ld can link it when the –as-needed flag
    is passed to it. (gold is unaffected)

1.0:
====

- Initial release. Features of note include:
  * A powerful, yet intuitive interface
  * Fast, accurate package search using the apt-xapian index and the Synaptic search algorithm
  * Support for filtering packages by status and category
  * Media change support
  * Support for configuring packages through the debconf system
  * Warn about/disallow the installation of untrusted packages, depending on APT settings
  * Uses Polkit for running privileged actions for enhanced security, convenience, and desktop integration
  * Power management suspension during package downloads, installations and removals
  * Support for download the latest changelog of a package
  * Package screenshots
